REST reference
Series Admin
Ta strona jest po angielsku
Polskie tłumaczenie obejmuje sekcje Instalacja i utrzymanie i Korzystanie z AlgoJudge. Pozostałe sekcje są materiałem technicznym i pozostają po angielsku.
curl -X DELETE "https://example.com/series/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
PUT
/series/{seriesId}Path Parameters
seriesId*string
Format
uuidTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PUT "https://example.com/series/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "slug": "string", "name": "string" }'{ "id": "string", "activityId": "string", "slug": "string", "name": "string", "order": 0, "startDate": "string", "endDate": "string", "isOpen": true, "pausedAt": "string", "hideProblemsWhilePaused": true, "revealProblemCount": true, "rankingFreezeAt": "string", "rankingRevealAt": "string", "rankingVisibleFrom": "string", "rankingVisibleTo": "string", "importance": 0, "importanceScope": "string", "addressRules": [ { "network": "string", "note": "string" } ], "restrictionsEnabled": true, "runnerTags": [ "string" ], "matchingRunners": 0, "problems": [ { "id": "string", "seriesId": "string", "problemId": "string", "problemSlug": "string", "problemName": "string", "slug": "string", "name": "string", "order": 0, "pinnedProblemVersionId": "string", "pinnedVersion": 0, "currentVersion": 0, "hasPackage": true, "submissionCount": 0, "config": null, "spec": null, "props": null, "maxPoints": 0, "maxUploadBytes": 0, "maxAttachments": 0, "maxSubmissions": 0 } ]}POST
/series/{seriesId}/duplicatePath Parameters
seriesId*string
Format
uuidTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/series/497f6eca-6276-4993-bfeb-53cbbbba6f08/duplicate" \ -H "Content-Type: application/json" \ -d '{ "startsAt": "2019-08-24T14:15:22Z" }'{ "id": "string", "activityId": "string", "slug": "string", "name": "string", "order": 0, "startDate": "string", "endDate": "string", "isOpen": true, "pausedAt": "string", "hideProblemsWhilePaused": true, "revealProblemCount": true, "rankingFreezeAt": "string", "rankingRevealAt": "string", "rankingVisibleFrom": "string", "rankingVisibleTo": "string", "importance": 0, "importanceScope": "string", "addressRules": [ { "network": "string", "note": "string" } ], "restrictionsEnabled": true, "runnerTags": [ "string" ], "matchingRunners": 0, "problems": [ { "id": "string", "seriesId": "string", "problemId": "string", "problemSlug": "string", "problemName": "string", "slug": "string", "name": "string", "order": 0, "pinnedProblemVersionId": "string", "pinnedVersion": 0, "currentVersion": 0, "hasPackage": true, "submissionCount": 0, "config": null, "spec": null, "props": null, "maxPoints": 0, "maxUploadBytes": 0, "maxAttachments": 0, "maxSubmissions": 0 } ]}POST
/series/{seriesId}/shiftPath Parameters
seriesId*string
Format
uuidTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/series/497f6eca-6276-4993-bfeb-53cbbbba6f08/shift" \ -H "Content-Type: application/json" \ -d '{ "minutes": 0 }'{ "id": "string", "activityId": "string", "slug": "string", "name": "string", "order": 0, "startDate": "string", "endDate": "string", "isOpen": true, "pausedAt": "string", "hideProblemsWhilePaused": true, "revealProblemCount": true, "rankingFreezeAt": "string", "rankingRevealAt": "string", "rankingVisibleFrom": "string", "rankingVisibleTo": "string", "importance": 0, "importanceScope": "string", "addressRules": [ { "network": "string", "note": "string" } ], "restrictionsEnabled": true, "runnerTags": [ "string" ], "matchingRunners": 0, "problems": [ { "id": "string", "seriesId": "string", "problemId": "string", "problemSlug": "string", "problemName": "string", "slug": "string", "name": "string", "order": 0, "pinnedProblemVersionId": "string", "pinnedVersion": 0, "currentVersion": 0, "hasPackage": true, "submissionCount": 0, "config": null, "spec": null, "props": null, "maxPoints": 0, "maxUploadBytes": 0, "maxAttachments": 0, "maxSubmissions": 0 } ]}POST
/series/{seriesId}/pausePath Parameters
seriesId*string
Format
uuidTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/series/497f6eca-6276-4993-bfeb-53cbbbba6f08/pause" \ -H "Content-Type: application/json" \ -d '{ "hideProblems": true }'{ "id": "string", "activityId": "string", "slug": "string", "name": "string", "order": 0, "startDate": "string", "endDate": "string", "isOpen": true, "pausedAt": "string", "hideProblemsWhilePaused": true, "revealProblemCount": true, "rankingFreezeAt": "string", "rankingRevealAt": "string", "rankingVisibleFrom": "string", "rankingVisibleTo": "string", "importance": 0, "importanceScope": "string", "addressRules": [ { "network": "string", "note": "string" } ], "restrictionsEnabled": true, "runnerTags": [ "string" ], "matchingRunners": 0, "problems": [ { "id": "string", "seriesId": "string", "problemId": "string", "problemSlug": "string", "problemName": "string", "slug": "string", "name": "string", "order": 0, "pinnedProblemVersionId": "string", "pinnedVersion": 0, "currentVersion": 0, "hasPackage": true, "submissionCount": 0, "config": null, "spec": null, "props": null, "maxPoints": 0, "maxUploadBytes": 0, "maxAttachments": 0, "maxSubmissions": 0 } ]}POST
/series/{seriesId}/resumePath Parameters
seriesId*string
Format
uuidTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/series/497f6eca-6276-4993-bfeb-53cbbbba6f08/resume" \ -H "Content-Type: application/json" \ -d '{ "extendEnd": true }'{ "id": "string", "activityId": "string", "slug": "string", "name": "string", "order": 0, "startDate": "string", "endDate": "string", "isOpen": true, "pausedAt": "string", "hideProblemsWhilePaused": true, "revealProblemCount": true, "rankingFreezeAt": "string", "rankingRevealAt": "string", "rankingVisibleFrom": "string", "rankingVisibleTo": "string", "importance": 0, "importanceScope": "string", "addressRules": [ { "network": "string", "note": "string" } ], "restrictionsEnabled": true, "runnerTags": [ "string" ], "matchingRunners": 0, "problems": [ { "id": "string", "seriesId": "string", "problemId": "string", "problemSlug": "string", "problemName": "string", "slug": "string", "name": "string", "order": 0, "pinnedProblemVersionId": "string", "pinnedVersion": 0, "currentVersion": 0, "hasPackage": true, "submissionCount": 0, "config": null, "spec": null, "props": null, "maxPoints": 0, "maxUploadBytes": 0, "maxAttachments": 0, "maxSubmissions": 0 } ]}POST
/series/{seriesId}/problems/orderPath Parameters
seriesId*string
Format
uuidTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/series/497f6eca-6276-4993-bfeb-53cbbbba6f08/problems/order" \ -H "Content-Type: application/json" \ -d '{ "orderedIds": [ "string" ] }'{ "id": "string", "activityId": "string", "slug": "string", "name": "string", "order": 0, "startDate": "string", "endDate": "string", "isOpen": true, "pausedAt": "string", "hideProblemsWhilePaused": true, "revealProblemCount": true, "rankingFreezeAt": "string", "rankingRevealAt": "string", "rankingVisibleFrom": "string", "rankingVisibleTo": "string", "importance": 0, "importanceScope": "string", "addressRules": [ { "network": "string", "note": "string" } ], "restrictionsEnabled": true, "runnerTags": [ "string" ], "matchingRunners": 0, "problems": [ { "id": "string", "seriesId": "string", "problemId": "string", "problemSlug": "string", "problemName": "string", "slug": "string", "name": "string", "order": 0, "pinnedProblemVersionId": "string", "pinnedVersion": 0, "currentVersion": 0, "hasPackage": true, "submissionCount": 0, "config": null, "spec": null, "props": null, "maxPoints": 0, "maxUploadBytes": 0, "maxAttachments": 0, "maxSubmissions": 0 } ]}curl -X POST "https://example.com/series/497f6eca-6276-4993-bfeb-53cbbbba6f08/rejudge"0